package com.competition.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.competition.common.result.PageResult;
import com.competition.modules.sys.dto.CreateConfigDto;
import com.competition.modules.sys.entity.SysConfig;

public interface ISysConfigService extends IService<SysConfig> {

    SysConfig createConfig(CreateConfigDto dto, Long tenantId);

    PageResult<SysConfig> findAll(Long page, Long pageSize, Long tenantId);

    SysConfig findByKey(String key, Long tenantId);

    SysConfig findDetail(Long id, Long tenantId);

    SysConfig updateConfig(Long id, CreateConfigDto dto, Long tenantId);

    void removeConfig(Long id, Long tenantId);
}
